/**
Theme Name: Luminous Smiles
Author: Ensight Marketing
Author URI: https://ensightmarketing.com/
Description: Child Theme
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: luminous-smiles
Template: astra
*/

/* DEV CSS */

body {
    background-color: #0e0e0e;
}
.related-posts .uael-post__bg-wrap {
    border-radius: 10px;
    position: relative;
}

.related-posts .uael-post__read-more {
    position: absolute;
    top: 15px;
    right: 20px;
}

#masthead .ast-container, .site-header-focus-item + .ast-breadcrumbs-wrapper {
    max-width: 1500px;
}
.site-header .latepoint-book-button {
    background: var(--ast-global-color-5);
    color: var(--ast-global-color-7);
}

.ast-primary-header-bar {
    position: fixed;
    width: 100%;
    border: 0;
}

.ast-builder-menu .current-menu-ancestor > .menu-link,
.ast-builder-menu .menu-item.current-menu-item > .menu-link{
    color: #FFF;
    opacity: 0.8;
}

.ast-primary-header-bar.wpcs-sticky-header {
    background: #000 !important;
}

.ast-primary-header-bar .main-navigation>ul {
    background: none;
}
.main-header-menu .sub-menu {
    top: 75%;
 
}

.ast-primary-header-bar .sub-menu {
    padding: 5px 0;
}

.ast-primary-header-bar .sub-menu .menu-item a {
    border: 0;
    border-width: 0 !important;
    padding: 10px 20px;
}

.hover-effect:hover  .elementor-icon-box-title a {
    font-size: 18px !important;
}

.hover-effect:hover .elementor-icon svg {
    height: 26px;
    width: 26px;
}

.related-posts .uael-post__terms-wrap{
    position: relative;
    height: 30px;
}

.related-posts .uael-post__terms-wrap:before {
    content: 'TECHNOLOGY';
    color: #FFF;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
	  font-size: 12px;
}

/* Form CSS  */

.wpforms-container .wpforms-field-label {
    font-weight: 400;
    color: #FFF;
    font-size: 14px;
}

.wpforms-container input, .wpforms-container textarea {
    background: #141414;
    border-radius: 5px;
    border-color: #555;
}

.wpforms-submit-container button {
    width: 100%;
    background: #FFF;
    color: #000;
	transition: all 0.3s ease;
}

.wpforms-submit-container button:hover {
    opacity: .8;
}
@media screen and (max-width: 991px) {
    :root {

        /* FONT SIZES  */
        --m-fs-46: 2.875rem;
        --m-fs-42: 2.625rem;
        --m-fs-34: 2.125rem;
        --m-fs-22: 1.375rem;
        --m-fs-18: 1.125rem;
        --m-fs-16: 1rem;
        --m-fs-14: 0.875rem;
    }

    body {
        font-size: var(--m-fs-16) !important;
    }

    h1,
    .h1 {
        font-size: var(--m-fs-46) !important;
    }

    h2,
    .h2 {
        font-size: var(--m-fs-42) !important;
    }

    h3,
    .h3 {
        font-size: var(--m-fs-34) !important;
    }

    h4,
    .h4 {
        font-size: var(--m-fs-22) !important;
    }

    h5,
    .h5 {

        font-size: var(--m-fs-18) !important;
    }

    h6,
    .h6 {
        font-size: var(--m-fs-16 !important)
    }
	
	.ast-primary-header-bar {
    position: unset;
    /* width: 100%; */
    /* border: 0; */
}
	
/* 	.ast-main-header-nav-open.ast-header-break-point .ast-mobile-header-wrap .ast-mobile-header-content {
    display: block;
    position: absolute;
    top: 75px;
} */
}


--tw-ring-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000;
}

--tw-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000;
}

--tw-inset-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000;
}

--tw-inset-ring-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000;
}

--tw-ring-offset-color {
    syntax: "*";
    inherits: false;
    initial-value: #fff;
}

button.wpcs-btn-m {
text-transform: capitalize;
    font-size: 14px;
    font-weight: 500;
    /* padding-inline: calc(0.25rem * 6); */
	background-image:
  linear-gradient(to right, rgb(224, 75, 134) 0%, rgb(243, 158, 199) 100%),
  linear-gradient(to right in oklab, rgb(224, 75, 134) 0%, rgb(243, 158, 199) 100%);
    /* border-radius: 8px; */
    letter-spacing: normal;
    /* line-height: 20px; */
    padding-left: 24px;
    /*height: calc(0.25rem * 10);*/
	border: solid 2px oklab(0.634042 0.190829 -0.000610173 / 0.4);
	    box-shadow: 0 0 20px rgba(224, 75, 134, 0.4), 0 8px 30px rgba(224, 75, 134, 0.2); 
}

button.wpcs-btn-m:hover {
box-shadow: 0 0 30px rgba(224, 75, 134, 0.6),
             0 12px 40px rgba(224, 75, 134, 0.3);
	 transition: box-shadow 0.3s ease;
}


button.wpcs-btn-m2 {
text-transform: capitalize;
    font-size: 14px;
    font-weight: 500;
  background-color: rgba(250, 250, 250, 0.1);
    letter-spacing: normal;
    xpadding-left: 24px;
	border: 2px solid rgba(250, 250, 250, 0.4);
	    box-shadow: 0 0 20px rgba(0, 153, 153, 0.4), 0 8px 30px rgba(0, 153, 153, 0.2); 
}

button.wpcs-btn-m2:hover {
	color: #0a0a0a;
	  background-color: #fff;
box-shadow: 0 0 30px rgba(0,153,153,0.6),
             0 12px 40px rgba(0,153,153,0.3);
	 transition: box-shadow 0.3s ease;
}

.text-white { color: #fff; }

.cus-svg-rah svg {
    background-color: #090909;
    border-radius: 50%;
    padding: 10px;
    height: 55px;
    width: 55px;
    box-shadow: 0 0 30px rgba(224, 75, 134, 0.5);
}